Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.classgen
[Groovy] Class genMathModification

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Script
              org.codehaus.groovy.classgen.genMathModification

    class genMathModification
    extends Script

Method Summary
`java.lang.Object` | `getMath(java.lang.Object left, java.lang.Object right)`
`static void` | `main(java.lang.String[] args)` Implicit main method for Groovy Scripts

Methods inherited from class Script
evaluate, evaluate, getBinding, getProperty, invokeMethod, print, printf, printf, println, println, run, run, setBinding, setProperty

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getMath

    java.lang.Object getMath(java.lang.Object left, java.lang.Object right)

### main

    static void main(java.lang.String[] args)

  Implicit main method for Groovy Scripts

Groovy Documentation